/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.data.set.taglib.internal.util;

import com.liferay.frontend.js.module.launcher.JSModuleResolver;
import com.liferay.portal.template.react.renderer.ReactRenderer;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Chema Balsas
 */
@Component(service = {})
public class ServicesProvider {

	public static JSModuleResolver getJSModuleResolver() {
		return _jsModuleResolver;
	}

	public static ReactRenderer getReactRenderer() {
		return _reactRenderer;
	}

	@Reference(unbind = "-")
	public void setJSModuleResolver(JSModuleResolver jsModuleResolver) {
		_jsModuleResolver = jsModuleResolver;
	}

	@Reference(unbind = "-")
	public void setReactRenderer(ReactRenderer reactRenderer) {
		_reactRenderer = reactRenderer;
	}

	private static JSModuleResolver _jsModuleResolver;
	private static ReactRenderer _reactRenderer;

}